/* EASSISTANT 26.08.2025
Developer site: LAPSE DEVELOPER
Screen resolution: 460, 860, 1200, 1600, 1920 */
:root {
    --bg: #f8f8f8;
    --bg2: #fff;
    --bg3: #e2f1f2;
    --engine: #fff;
    --engine2: #f8f8f8;
    --text: #191c20;
    --text1: #fff;
    --text2: #676e7e;
    --text3: #a4a8b2;
    --color1: #2eafb7;
    --color2: #34bcc4;
    --light: rgb(255 255 255 / 15%);
    --light2: rgb(255 255 255 / 30%);
    --dark: rgb(0 0 0 / 10%);
    --radius: 15px;
    --shadow: 0 0 35px 0 rgb(0 0 0 / 10%);
}

.e-btn, .bbcodes, button[type="submit"], input[type="submit"], input[type="button"] {
    display: inline-block;
    background: var(--color1);
    color: #fff;
    padding: 15px 30px;
    border-radius: var(--radius);
    font-weight: 500;
    text-align: center;
    cursor: pointer;
}

.e-btn:hover, .bbcodes:hover, button[type="submit"]:hover, input[type="submit"]:hover {
    background: var(--color2);
}

.e-grid2, .e-grid3, .e-grid4, .e-grid5, .e-grid6, .e-grid7 {
    display: grid;
    grid-gap: 20px;
    grid-auto-rows: max-content;
}

.e-grid7 {
    grid-template-columns: repeat(7, 1fr);
}

.e-grid6 {
    grid-template-columns: repeat(6, 1fr);
}

.e-grid5 {
    grid-template-columns: repeat(5, 1fr);
}

.e-grid4 {
    grid-template-columns: repeat(4, 1fr);
}

.e-grid3 {
    grid-template-columns: repeat(3, 1fr);
}

@media (max-width: 860px) {
    .e-grid7, .e-grid6, .e-grid5, .e-grid4 {
        grid-template-columns: repeat(2, 1fr);
    }
}

.e-grid2 {
    grid-template-columns: repeat(2, 1fr);
}

@media (max-width: 860px) {
    .e-grid3, .e-grid2 {
        grid-template-columns: 1fr;
    }
}

.e-flex {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.e-flex50 {
    flex: 1 1 0%;
    max-width: 100%;
    min-width: 50px;
}

.e-flexjb {
    justify-content: space-between;
}

.e-flexjc {
    justify-content: center;
}

.e-flexac {
    align-items: center;
}

.e-center {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%,-50%);
}

.e-nowrap {
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.e-cover img, .e-cover video, .e-cover iframe {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media (max-width: 860px) {
    .e-swipe {
        display:flex;
        justify-content: flex-start;
        flex-wrap: nowrap;
        overflow-x: auto;
    }

    .e-swipe > * {
        min-width: max-content;
    }
}

.e-clamp2, .e-clamp3, .e-clamp4, .e-clamp5 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
}

.e-clamp2 {
    -webkit-line-clamp: 2;
}

.e-clamp3 {
    -webkit-line-clamp: 3;
}

.e-clamp4 {
    -webkit-line-clamp: 4;
}

.e-clamp5 {
    -webkit-line-clamp: 5;
}

.e-scroll::-webkit-scrollbar {
    position: relative;
    width: 4px;
    border-radius: 10px;
}

.e-scroll::-webkit-scrollbar-thumb {
    background-color: var(--color1);
}

.e-scroll::-webkit-scrollbar-track {
    background-color: var(--light);
}

.e-none, .hidden, .e-mobile, .e-desktop {
    display: none;
}

@media (max-width: 860px) {
    .e-mobile {
        display: block;
    }
}

@media (min-width: 860px) {
    .e-desktop {
        display: block;
    }
}

.e-float {
    position: relative;
    margin-bottom: 20px;
}

.e-float label {
    position: absolute;
    color: var(--text2);
    font-size: 10px;
    top: 8px;
    left: 20px;
    transition: 0.3s;
}

.e-float input::-webkit-input-placeholder, .e-float textarea::-webkit-input-placeholder {
    opacity: 0;
}

.e-float input:placeholder-shown:not(:focus)::-webkit-input-placeholder, .e-float textarea:placeholder-shown:not(:focus)::-webkit-input-placeholder {
    opacity: 1;
}

.e-float input:placeholder-shown:not(:focus) + label, .e-float textarea:placeholder-shown:not(:focus) + label {
    opacity: 0;
    top: 12px;
}

.e-float input:placeholder-shown {
    padding: 20px;
    font-weight: 200;
}

.e-float input, .e-float textarea, .e-float input:focus, .e-float textarea:focus {
    border: 1px solid rgb(61 67 79 / 19%);
    padding: 25px 20px 15px 20px;
    height: 55px;
    transition: 0.3s;
}

.e-float input:focus, .e-float ~ textarea:focus {
    border: 1px solid var(--color1);
    box-shadow: 0 0 0 3px #b3d1ff47;
}

.e-field {
    position: relative;
    align-items: center;
    grid-gap: 15px;
    text-align: left;
    margin-bottom: 20px;
}

.e-field label {
    display: inline-block;
    color: var(--text2);
    font-size: 14px;
    margin-bottom: 12px;
}

.e-field input {
    border: 1px solid transparent;
}

.e-field input:focus, .e-field ~ textarea:focus {
    border: 1px solid var(--color1);
}

.e-overlay {
    position: fixed;
    background: rgb(0 0 0 / 50%);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 999;
}

/* STORE 8.1
Developer: t.me/moretheme
Screen resolution: 460, 860, 1440, 1920 */
header .header-store {
    position: relative;
    color: #444;
}

header .header-store > span#cart_counts {
    position: absolute;
    top: -5px;
    right: 0px;
    width: 15px;
    height: 15px;
    line-height: 15px;
    border-radius: 50px;
    font-size: 9px;
    font-weight: 600;
    text-align: center;
    background: #F44336;
    color: #fff;
}

.store-modal > div {
    position: fixed;
    max-width: 450px;
    width: 100%;
    top: 0;
    right: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    background: var(--bg2);
    padding: 30px;
    z-index: 9999;
}

.store-modal_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 18px;
    margin-bottom: 30px;
}

.store-modal_header .fa-xmark {
    display: inline-block;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background: var(--dark);
    border-radius: var(--radius);
    text-align: center;
}

.store-modal_header > span {
    display: inline-block;
    background: var(--dark);
    padding: 8px 15px;
    font-size: 14px;
    border-radius: 50px;
}

.store-modal_lists {
    overflow-y: auto;
}

.store-cart_item {
    display: grid;
    grid-gap: 20px;
    grid-auto-rows: max-content;
    grid-template-columns: 100px 1fr;
    align-items: center;
}

.store-cart_item + .store-cart_item {
    margin-top: 20px;
}

.store-cart_item > img {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    border-radius: 10px;
    object-fit: contain;
}

.store-cart_title {
}

.store-cart_item #cart_del {
    width: 40px;
    height: 40px;
    line-height: 40px;
    color: red;
    text-align: center;
}

.store-cart_title > span {
    display: block;
    color: var(--text2);
    font-size: 14px;
    margin-top: 5px;
}

.store-cart_title > div {
    display: flex;
    flex-flow: wrap;
    align-items: center;
    grid-gap: 5px;
    font-size: 10px;
    font-weight: 500;
    color: #2196F3;
    margin-top: 5px;
}

.store-cart_count {
    display: flex;
    align-items: center;
    background: #eee;
    border-radius: 50px;
    margin-left: auto;
}

.store-cart_count > a {
    min-width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
}

.store-cart_count > input {
    background: transparent;
    width: 20px;
    padding: 0;
    text-align: center;
}

.store-modal_sums {
    margin-top: auto;
}

.store-modal_sums > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 8px;
    font-size: 18px;
    font-weight: 500;
    margin: 10px 0;
    padding: 10px 0;
    border-top: 1px dotted var(--dark);
}

.store-modal_sums > div > span:first-child {
    margin-right: auto;
}

.store-modal > div > a {
    display: block;
    background: #2196F3;
    border-radius: 50px;
    color: #fff;
    padding: 15px 30px;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

/* STORE MODAL ADD */
.storeadd-modal > div {
    position: fixed;
    width: 500px;
    max-width: 100%;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: var(--bg2);
    box-shadow: 0 0 20px 0 rgb(0 0 0 / 10%);
    padding: 30px;
    border-radius: var(--radius);
    text-align: center;
    z-index: 9999;
}

.storeadd-modal > div > .fa-xmark {
    position: absolute;
    top: 30px;
    right: 30px;
    display: inline-block;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background: var(--dark);
    border-radius: 50px;
    text-align: center;
    cursor: pointer;
}

.storeadd-modal > div > .fa-xmark:hover {
    background: var(--dark);
}

.storeadd-modal > div > img {
    width: 100px;
    height: 100px;
}

.storeadd-modal_title {
    display: block;
    font-size: 25px;
    font-weight: bold;
    margin: 20px 0 40px;
}

.storeadd-modal_link {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    grid-gap: 15px;
}

.storeadd-modal_link > a {
    display: inline-block;
    background: var(--color1);
    color: #fff;
    padding: 15px 25px;
    border-radius: 50px;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
}

.storeadd-modal_link > a:hover {
    opacity: 0.9;
}

.storeadd-modal_link > a:last-child {
    background: #000;
}

/* STORE BASK */
.store-bask {
    display: grid;
    grid-gap: 80px;
    grid-auto-rows: max-content;
    grid-template-columns: 1fr 450px;
}

@media (max-width: 860px) {
    .store-bask {
        grid-template-columns: 1fr;
        grid-gap: 10px;
    }
}

.store-bask_detal {
}

.store-bask_detal > div:not(.store-bask_detal .e-field) {
    margin-bottom: 40px;
}

.store-bask_detal > div > b {
    display: block;
    font-size: 22px;
    margin-bottom: 20px;
}

.store-bask_detal .delivery > div {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    grid-gap: 20px;
    margin-bottom: 20px;
    font-size: 16px;
    font-weight: 500;
}

.store-bask_detal .delivery > div > span:first-child {
    display: inline-block;
    background: #2196F3;
    color: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    font-size: 12px;
}

.store-bask_detal .delivery #store_deliverya > div {
    display: block;
    color: var(--text2);
    font-size: 12px;
}

.store-bask_detal .payment > div {
    display: grid;
    grid-gap: 20px;
    grid-auto-rows: max-content;
    grid-template-columns: repeat(3, 1fr);
}

@media (max-width: 860px) {
    .store-bask_detal .payment > div {
        grid-template-columns: repeat(2, 1fr);
    }
}

.store-bask_detal .payment > div label {
    position: relative;
    color: var(--text2);
    font-weight: 500;
    overflow: hidden;
}

.store-bask_detal .payment > div label input {
    position: absolute;
    margin: 12px;
}

.store-bask_detal .payment > div label input + img, .store-bask_detal .payment > div > a img {
    display: inline-block;
    background: var(--bg2);
    padding: 10px 20px 10px 50px;
    border-radius: var(--radius);
    border: 2px solid var(--bg2);
    width: 100%;
    height: 80px;
    object-fit: contain;
    cursor: pointer;
    transition: 0.3s;
    margin-bottom: 10px;
}

.store-bask_detal .payment > div label input:checked + img {
    opacity: 1;
    border: 2px solid var(--color1);
}

.store-bask_detal .payment > div label span, .store-bask_detal .payment > div > a span {
    display: block;
    font-size: 14px;
    line-height: 1.5;
    margin-top: 10px;
}

.store-bask_detal .promo > div {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    grid-gap: 10px;
}

.store-bask_detal .promo > div button {
    background: var(--color1);
    color: #fff;
    padding: 15px 20px;
    border-radius: var(--radius);
}

.store-bask_buy {
    background: var(--bg2);
    padding: 30px;
    height: max-content;
    border-radius: var(--radius);
}

.store-bask_buy > b {
    display: block;
    font-size: 18px;
    margin-bottom: 20px;
}

.store-bask_bonus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 10px;
    margin: 20px 0 20px;
    background: var(--light);
    padding: 5px 20px;
    border-radius: 10px;
}

.store-bask_bonus > div > span {
    display: block;
    color: #8BC34A;
    font-size: 12px;
    margin-top: 3px;
}

.store-bask_promo {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 20px;
    font-size: 14px;
    margin-bottom: 20px;
}

.store-bask_promo input {
    background: transparent;
    border-bottom: 1px solid var(--light2);
    padding: 10px 0;
    border-radius: 0;
}

.store-bask_promo > a {
    display: inline-block;
    background: var(--color1);
    color: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    text-align: center;
    cursor: pointer;
}

.store-bask_sums > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 8px;
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 10px;
    padding-top: 10px;
    border-top: 1px dotted #b4b4b4;
}

.store-bask_sums > div > span:first-child {
    margin-right: auto;
}

.store-bask_sums #cart_bonusb > span:last-child {
    color: #8BC34A;
}

.store-bask_buy > button {
    width: 100%;
}

/* STORE DEVIL */
.store-deliv {
    display: none;
    position: fixed;
    max-width: 500px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: var(--bg2);
    padding: 30px;
    border-radius: var(--radius);
    z-index: 9;
}

.store-deliv .fa-xmark, .store-deliv1 .fa-xmark {
    position: absolute;
    width: 40px;
    height: 40px;
    line-height: 40px;
    top: 0;
    right: -60px;
    border: 1px solid var(--light2);
    border-radius: 50%;
    color: rgb(255 255 255 / 80%);
    text-align: center;
    cursor: pointer;
}

@media (max-width: 860px) {
    .store-deliv .fa-xmark, .store-deliv1 .fa-xmark {
        top: 20px;
        right: 20px;
        z-index: 3;
        background: #fff;
        color: #000;
    }
}

.store-deliv_title {
    display: block;
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 10px;
}

.store-deliv_subtitle {
    color: var(--text2);
    font-size: 14px;
}

.store-deliv_link {
    display: flex;
    align-items: center;
    grid-gap: 20px;
    margin-top: 20px;
}

.store-deliv_link > a {
    display: inline-block;
    background: var(--color1);
    border-radius: var(--radius);
    color: #fff;
    padding: 12px 20px;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
}

.store-deliv1 {
    display: none;
    position: fixed;
    width: 70vw;
    height: 85vh;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: #fff;
    border-radius: var(--radius);
    z-index: 9999;
}

@media (max-width: 860px) {
    .store-deliv1 {
        width: 100vw;
        height: 100vh;
        border-radius: 0;
    }
}

.store-deliv1 #center-marker:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%,-50%);
    background: #000;
    width: 2px;
    height: 15px;
    z-index: 9;
}

.store-deliv1 #center-marker:after {
    content: "";
    position: absolute;
    top: 46%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%,-50%);
    background: var(--color1);
    width: 30px;
    height: 30px;
    border-radius: 50%;
    z-index: 9;
}

.store-deliv1 #map {
    position: relative;
    border-radius: var(--radius);
    overflow: hidden;
}

@media (max-width: 860px) {
    .store-deliv1 #map {
        height: 450px!important;
    }
}

.store-deliv1_tabs {
    position: absolute;
    top: 20px;
    left: 20px;
    display: flex;
    align-items: center;
    background: #fff;
    color: #000;
    box-shadow: 0 0 20px rgb(0 0 0 / 10%);
    border-radius: var(--radius);
    padding: 4px;
    font-weight: 500;
    z-index: 2;
}

.store-deliv1_tabs > span {
    padding: 8px 20px;
    border-radius: var(--radius);
}

.store-deliv1_tabs > span.active {
    background: var(--color1);
    color: #fff;
}

.store-deliv1_content {
    display: none;
    position: absolute;
    max-width: 400px;
    left: 20px;
    bottom: 20px;
    background: #fff;
    color: #000;
    box-shadow: 0 0 20px rgb(0 0 0 / 10%);
    padding: 20px 30px;
    border-radius: var(--radius);
}

@media (max-width: 860px) {
    .store-deliv1_content {
        width: 100%;
        max-width: none;
        max-height: 500px;
        height: 500px;
        border-radius: var(--radius) var(--radius) 0 0;
        left: 0;
        bottom: 0;
        overflow-y: auto;
    }
}

.store-deliv1_content.active {
    display: block;
}

.store-deliv1_head {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    grid-gap: 20px;
    margin-bottom: 25px;
}

.store-deliv1_head > b {
    display: block;
    font-size: 20px;
    font-weight: bold;
}

.store-deliv1_head > span {
    background: var(--dark);
    padding: 8px 15px;
    border-radius: var(--radius);
    font-size: 14px;
    font-weight: 500;
}

.store-deliv1_list {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    margin: 20px 0;
}

.store-deliv1_list > label {
    display: flex;
    align-items: end;
    font-size: 14px;
    font-weight: 500;
}

.store-deliv1_list > label input {
    min-width: 24px;
    border: 2px solid var(--dark);
}

.store-deliv1_list > label > div > span {
    display: block;
    color: var(--text2);
    font-size: 12px;
    font-weight: 400;
    margin-top: 2px;
}

.store-deliv1_list > label > div > #del {
    display: inline-block;
    color: red;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
}

.store-deliv1_content [type="submit"] {
    font-size: 14px;
    padding: 14px 30px;
}

/* ORDER */
.store-order {
}

.store-order_items {
    display: grid;
    grid-gap: 20px 20px;
    grid-auto-rows: max-content;
    grid-template-columns: repeat(2, 1fr);
}

@media (max-width: 860px) {
    .store-order_items {
        grid-template-columns: none;
    }
}

.store-order_items li {
    position: relative;
    background: var(--bg2);
    padding: 20px;
    border-radius: var(--radius);
    overflow: hidden;
}

.store-order_head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 20px;
    padding: 0 20px 10px;
    margin: -10px -20px 10px -20px;
    border-bottom: 1px solid var(--light);
    font-size: 14px;
    color: var(--text2);
}

.store-order_head > span:first-child {
    font-weight: bold;
}

.store-order_item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 10px;
    color: var(--color1);
    margin-bottom: 5px;
}

.store-order_item:hover {
    color: var(--color2);
}

.store-order_price {
    display: block;
    font-size: 25px;
    font-weight: bold;
    margin: 10px 0 20px;
}

.store-order_meta {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    grid-gap: 20px;
}

.store-order_meta > a, .store-order_meta > span {
    display: inline-block;
    background: var(--color1);
    color: #fff;
    padding: 12px 20px;
    border-radius: var(--radius);
    font-size: 14px;
    font-weight: 500;
}

.store-order_meta > span {
    background: #dee2fd;
    color: var(--color1);
}

.store-order_meta .status {
    color: var(--text2);
    font-size: 14px;
}

.store-order_meta .status span {
    display: block;
    color: var(--text);
    font-size: 16px;
    font-weight: bold;
}

.store-order_comm {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 20px;
    padding: 10px 20px 0;
    margin: 20px -20px 0 -20px;
    border-top: 1px solid var(--light);
    color: var(--text2);
    font-size: 14px;
}

.store-order_comm span {
    color: var(--text);
    font-weight: bold;
}

/* STORE RECEP */
.store-recep {
    background: #fff;
    color: #000;
    padding: 20px;
    border-radius: var(--radius);
}

.store-recep_head {
    display: grid;
    grid-gap: 15px;
    grid-auto-rows: max-content;
    grid-template-columns: repeat(2, 1fr);
}

.store-recep_head span {
    font-weight: bold;
}

.store-recep table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 30px;
}

.store-recep th, .store-recep td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
}

.store-recep th {
    background-color: #f2f2f2;
}

.store-recep tr:nth-child(even) {
    background-color: #f2f2f2;
}

.store-recep tr:hover {
    background-color: #ddd;
}

.store-recep_sign {
    display: grid;
    grid-gap: 15px;
    grid-auto-rows: max-content;
    grid-template-columns: repeat(2, 1fr);
}

.store-recep_sign > div {
    display: flex;
    align-items: flex-end;
    grid-gap: 20px;
}

.store-recep_sign > div span {
    width: 200px;
    background: #000;
    height: 1px;
}

/* CHECK */
.store-check {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-top: 60px;
}

/* STORE PATTERN */
.store-pattern {
    display: flex;
    align-items: center;
    background: var(--dark);
    padding: 3px;
    border-radius: var(--radius);
    max-width: max-content;
    color: var(--text2);
    font-size: 12px;
    margin-bottom: 20px;
}

.store-pattern label {
    position: relative;
    border-radius: var(--radius);
    padding: 5px 20px;
    overflow: hidden;
}

.store-pattern label.active {
    background: #fff;
    color: #000;
    font-weight: bold;
}

.store-pattern label input {
    position: absolute;
    visibility: hidden;
    width: 100%;
    height: 100%;
    margin: 0;
}

.store-pattern label.selected {
    background: var(--color1);
    color: #fff;
}
